<?php
/**
 * General settings options
 *
 * @package YITH\EUEnergyLabel\PluginOptions
 */

if ( ! defined( 'YITH_WCEUE' ) ) {
	exit;
} // Exit if accessed directly

$settings = array(
	'settings' => array(
		'general-options'                           => array(
			'title' => __( 'General Options', 'yith-woocommerce-eu-energy-label' ),
			'type'  => 'title',
			'desc'  => '',
			'id'    => 'yith-wceue-general-options',
		),
		'position-in-single-product'                => array(
			'name'    => __( 'Position in single product page', 'yith-woocommerce-eu-energy-label' ),
			'type'    => 'select',
			'desc'    => __( 'Select where you want to show the EU Energy Label in single product page.', 'yith-woocommerce-eu-energy-label' ),
			'id'      => 'yith-wceue-position-in-single-product',
			'options' => array(
				'on_thumb'           => __( 'On product thumbnail', 'yith-woocommerce-eu-energy-label' ),
				'before_summary'     => __( 'Above summary', 'yith-woocommerce-eu-energy-label' ),
				'before_description' => __( 'Above description', 'yith-woocommerce-eu-energy-label' ),
				'after_description'  => __( 'Below description', 'yith-woocommerce-eu-energy-label' ),
				'after_add_to_cart'  => __( 'Below "Add to Cart" button', 'yith-woocommerce-eu-energy-label' ),
				'after_summary'      => __( 'Below summary', 'yith-woocommerce-eu-energy-label' ),
				'use_shortcode'      => __( 'Use shortcode', 'yith-woocommerce-eu-energy-label' ),
			),
			'default' => 'before_summary',
		),
		'position-in-single-product-shortcode-info' => array(
			'name'             => '',
			'id'               => 'yith-wceue-position-in-single-product-shortcode-info',
			'type'             => 'yith-field',
			'yith-type'        => 'html',
			// translators: %s is the shortcode to use in the product pages.
			'html'             => '<div id="yith-wceue-position-in-single-product-shortcode-info">' . sprintf( __( 'To print the Eu Energy Label you can use the <code>%s</code> shortcode in product pages', 'yith-woocommerce-eu-energy-label' ), '[yith_eu_energy_label]' ) . '</div>',
			'yith-display-row' => true,
			'deps'             => array(
				'id'    => 'yith-wceue-position-in-single-product',
				'value' => 'use_shortcode',
			),
		),
		'show-in-shop-thumb'                        => array(
			'id'      => 'yith-wceue-show-in-shop-thumb',
			'name'    => __( 'Show on shop thumbnails', 'yith-woocommerce-eu-energy-label' ),
			'type'    => 'checkbox',
			'desc'    => __( 'Set this option to show EU Energy Labels on product thumbnails in the shop page.', 'yith-woocommerce-eu-energy-label' ),
			'default' => 'no',
		),
		'general-options-end'                       => array(
			'type' => 'sectionend',
			'id'   => 'yith-wceue-general-options',
		),
	),
);

/**
 * APPLY_FILTERS: yith_wceue_panel_settings_options
 *
 * Filters the options available in the Settings tab.
 *
 * @param array $options Array with options.
 *
 * @return array
 */
return apply_filters( 'yith_wceue_panel_settings_options', $settings );
