<?php //phpcs:ignore WordPress.Files.FileName.NotHyphenatedLowercase

/**
 * Template for EU Energy Label in Frontend
 *
 * @author  YITH <plugins@yithemes.com>
 * @package YITH WooCommerce EU Energy Label
 * @version 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
$energy_label_array = yith_wceue_get_energy_label_array( $version );

if ( is_array( $meta ) ) {
	extract( $meta ); // phpcs:ignore WordPress.PHP.DontExtract.extract_extract
}

$custom_url = get_option( 'yith-wceue-link-custom-url', '' );
$link_to    = get_option( 'yith-wceue-link-to', 'none' );

$link_url = '';

$v = 'new' === $version ? 2 : 1;

if ( ! is_single() ) {
	$link_to = 'none';
}

if ( 'none' !== $link_to ) {
	if ( 'custom_url' === $link_to && ! empty( $custom_url ) ) {
		if ( strpos( $custom_url, 'https://' ) < 0 ) {
			$link_url = 'http://' . str_replace( 'http://', '', $custom_url );
		} else {
			$link_url = $custom_url;
		}
	} elseif ( 'same_el' === $link_to ) {
		$link_url = get_site_url() . '?post_type=product&f_energetic_label=' . $energy_label . '&v=' . $v;
	}
}

$tooltip_class = '';
$tooltip_data  = '';

if ( isset( $show_tooltip ) && 'on' === $show_tooltip ) {
	$tooltip_class = 'yith_wceue_tooltip';
	$tooltip_data  = ! empty( $custom_image ) ? "data-image='{$custom_image}' data-product-id='{$product_id}'" : '';
} elseif ( isset( $show_tooltip_2021 ) && 'on' === $show_tooltip_2021 ) {
	$tooltip_class = 'yith_wceue_tooltip';
	$tooltip_data  = ! empty( $custom_image ) ? "data-image='{$custom_image_2021}' data-product-id='{$product_id}'" : '';
}
?>

<?php if ( $energy_label > 0 ) : ?>

	<?php if ( 'none' !== $link_to && ! empty( $link_url ) ) : ?>
		<a class="yith-wceue-noborders" href="<?php echo esc_url( $link_url ); ?>">
		<?php endif; ?>

		<div class="yith-wceue-eu-energy-label yith-wceue-eu-energy-label-<?php echo esc_html( $energy_label ); ?> <?php echo esc_attr( $class ); ?>  <?php echo esc_attr( $tooltip_class ); ?>" <?php echo wp_kses_post( $tooltip_data ); ?>>
			<?php if ( 1 === $v ) : ?>
				<?php echo wp_kses_post( $energy_label_array[ $energy_label ] ); ?>
			<?php else : ?>
				<?php $src = YITH_WCEUE_ASSETS_URL . '/badges/' . $energy_label_array[ $energy_label ]; ?>
				<img src="<?php echo esc_url( $src . '.svg' ); ?>" <?php echo wp_kses_post( $tooltip_data ); ?>>
			<?php endif; ?>
		</div>

		<?php if ( 'none' !== $link_to && ! empty( $link_url ) ) : ?>
		</a>
	<?php endif; ?>


<?php endif; ?>
